## org.eclipse.jetty.websocket
Interface WebSocket.Outbound

All Known Subinterfaces:
  WebSocketConnection

All Known Implementing Classes:
  WebSocketConnectionD00

Enclosing interface:
  WebSocket

    public static interface WebSocket.Outbound

Method Summary
`void` `disconnect()`
`boolean` `isOpen()`
`void` `sendFragment(boolean more, byte opcode, byte[] data, int offset, int length)`
`void` `sendMessage(byte opcode, byte[] data, int offset, int length)`
`void` `sendMessage(byte opcode, String data)`
`void` `sendMessage(String data)`

Method Detail

### sendMessage

    void sendMessage(String data)
                     throws IOException

  Throws:
    `IOException`

### sendMessage

    void sendMessage(byte opcode,
                     String data)
                     throws IOException

  Throws:
    `IOException`

### sendMessage

    void sendMessage(byte opcode,
                     byte[] data,
                     int offset,
                     int length)
                     throws IOException

  Throws:
    `IOException`

### sendFragment

    void sendFragment(boolean more,
                      byte opcode,
                      byte[] data,
                      int offset,
                      int length)
                      throws IOException

  Throws:
    `IOException`

### disconnect

    void disconnect()

### isOpen

    boolean isOpen()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.